import Ajv from 'ajv';
import { SwaggerJson, SMValidator, SMSchema, PathJson } from '../consts';
export declare const getAJV: (swagger: SwaggerJson) => Ajv.Ajv;
export declare function getSwagger(basePath: string): SwaggerJson;
export declare function getDefinitions(swagger: SwaggerJson): import("json-schema").JSONSchema4 | import("json-schema").JSONSchema6 | undefined;
export declare function getPath(swagger: SwaggerJson, path: string): {
    [method: string]: PathJson;
};
export declare function getParamSchema(parameters: PathJson['parameters']): SMSchema;
export declare const validatorFactory: (ajv: Ajv.Ajv) => <D extends {}>(shema: SMSchema, data: D) => string;
export declare const defaultValidator: SMValidator;
